Bug 1808350 - unity-gtk-module requires Python 2 to build
Summary: unity-gtk-module requires Python 2 to build
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: unity-gtk-module
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BRPY27
TreeView+ depends on / blocked
 
Reported: 2020-02-28 09:59 UTC by Petr Viktorin
Modified: 2020-09-14 07:49 UTC (History)
1 user (show)

Fixed In Version: 0.0.0+17.04.20170403-12
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-14 07:49:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-28 09:59:27 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like unity-gtk-module, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.

Switching to Python 3 seemed easy to me (though I don't necessarily
know much about unity-gtk-module). So I opened a pull request: https://src.fedoraproject.org/rpms/unity-gtk-module/pull-request/2

Could you merge it?
If not, if it's possible that the Python 2 build dependency won't get
removed in Fedora 33, please let us know; the package will need
a FESCo exception.

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Ben Cotton 2020-08-11 13:12:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.


Note You need to log in before you can comment on or make changes to this bug.